import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { Chart } from 'ng2-chartjs2';
import { DataProvider } from '../../providers/data-provider';

@Component({
    selector: 'page-home',
    templateUrl: 'home.html'
})
export class HomePage {

    labels: Array<string>;
    data: Array<Chart.Dataset>;

    constructor(
        public navCtrl: NavController,
        public dataProvider: DataProvider
    ) { }

    /**
     *
     */
    ionViewDidLoad() {
        console.log('Hello Home Page');
        this.draw();
    }

    /**
     *
     */
    draw(): void {
        // this.dataProvider.getAll("products").then(result => {
        //     let products: Array<any> = result.products.filter(item => {
        //         return item.sales_count;
        //     }).sort((left, right) => {
        //         return left.sales_count - right.sales_count;
        //     }).slice(0, 10);

        //     for (let i = 0; i < products.length; i++) {
        //         this.labels.push(products[i].name);
        //         this.data.push(products[i].sales_count);
        //     }
            
        // }).catch(e => {
        //     console.log(e);
        // });

        this.labels = ["Producto 1", "Producto 2", "Producto 3", "Producto 4", "Producto 5", "Producto 6"];
        this.data = [
        {
            label: '# de Ventas',
            data: [12, 19, 3, 5, 2, 3],
            // backgroundColor: [
            //     'rgba(255, 99, 132, 0.2)',
            //     'rgba(54, 162, 235, 0.2)',
            //     'rgba(255, 206, 86, 0.2)',
            //     'rgba(75, 192, 192, 0.2)',
            //     'rgba(153, 102, 255, 0.2)',
            //     'rgba(255, 159, 64, 0.2)'
            // ],
            // borderColor: [
            //     'rgba(255,99,132,1)',
            //     'rgba(54, 162, 235, 1)',
            //     'rgba(255, 206, 86, 1)',
            //     'rgba(75, 192, 192, 1)',
            //     'rgba(153, 102, 255, 1)',
            //     'rgba(255, 159, 64, 1)'
            // ],
            borderWidth: 1
        }
    ];
    }
}
